// pageage/project_checking/info/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id:"",
        infoData:{},  
        loadShow:false,
        loginName:"",
        showDel:false,
        imageList:[],
        minImageList:[],
        activeName:"",
        flowRecordList:[],
        request:app.globalData.reqUrl,
        list:[{id:1,text:"合格"},{id:2,text:"不合格"}],
        result:"1",
        comment:"",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let {id} = options
        //获取缓存数据
        wx.getStorage({
        key: 'userinfo',
        success:res=>{
          this.setData({
            id,
            loginName:res.data.loginName
          }) 
          this.getInfo(); 
          this.getAuditinfo();
        }  
        }) 
    },


    /**
     * 获取安全检查详情信息
     * 
     */
    getInfo(){
        let {id} = this.data
        let that = this
        wx.request({
          url: app.globalData.reqUrl+'/wechat/projectMeasure/info',
          method:"get",
          data:{
              id:id          
          },
          success(res){
            res = res.data
            if(res.code == 200){
              let urls = [];
              let minUrls = [];
              if(res.data.imageUrls){
                res.data.imageUrls.split(',').forEach(element => {
                  urls.push(that.data.request+element);
                  minUrls.push(that.data.request+element+'.min.jpg');
                });
              }
              that.setData({
                  infoData:res.data,
                  imageList:urls,
                  minImageList:minUrls,
                  loadShow:false
              })
                //判断当前能否删除
                if(res.data.createBy==that.data.loginName){
                  that.setData({
                    showDel:true
                })
                }
            }
          }
        })
    },

  //保存
  onSubmitSave(){
    this.setData({
        loadShow:true
    })
    let that = this
    let {infoData,result,comment,loginName} =  that.data;
    //数据效验
    if(infoData && infoData.id){
        
    }else{
      app.toast("数据异常，请刷新页面重试!")
      that.setData({
          loadShow:false
      })
      return;
    }

    if(result==""){
        app.toast("请选择审批结果!")
        that.setData({
            loadShow:false
        })
        return;
    }
    if(comment==""){
        app.toast("请填写审批意见!")
        that.setData({
            loadShow:false
        })
        return;
    }
    let params = {
        id:infoData.id,
        measureResult:result,
        comment,
        approveStatus:result=='1'?'4':'3',
        updateBy:loginName
    }
    let msg = result=='1'?'合格':'不合格';
    wx.showModal({
      title: '提示',
      content: '是否确定审批'+msg+'？',
      success: function (sm) {
        if (sm.confirm) {
            // 用户点击了确定 可以调用了
            wx.request({
              url: app.globalData.reqUrl + '/wechat/projectMeasure/edit',
              method:"POST",
              data:params,
              header: {
                  "Username": loginName,
                  "Content-Type": "application/json"
              },
              success(res){
                  that.setData({
                      loadShow:false
                  })
                  res = res.data
                  if(res.code == 200){
                      app.toast("审批成功!")
                      setTimeout(()=>{
                      wx.redirectTo({
                        url: '../../../pageage/project_measure/list/index',
                      })
                      },200)
                  }
              }
            })
          } else if (sm.cancel) {
            that.setData({
              loadShow:false
            })
            console.log('用户点击取消');
          }
        }
     }) 
},

  //选择检测结果
  onSelect(e){
    this.setData({
      result:e.detail.id
    })
  },

  //审批意见
  onInputValue(e){
      let comment = e.detail.value
      this.setData({
        comment
      })
  },

    /**
     * 查询流程日志
     */
    getAuditinfo(){
      let that = this
      wx.request({
        url: app.globalData.reqUrl+'/wechat/projectAuditinfo/selectProjectAuditinfo',
        method:"get",
        data:{
            fromType:"2",
            fromId:this.data.id          
        },
        success(res){
          res = res.data
          if(res.code == 200){
            that.setData({
              flowRecordList:res.data
            })
          }
        }
      })
  },

  // 手风琴
  onChange(event) {
    this.setData({
      activeName: event.detail,
    });
  },

     //展示图片
     showImg:function(e){
      var that=this;
      wx.previewImage({
          urls: that.data.imageList,
          current: that.data.imageList[e.currentTarget.dataset.index]
      })
  },

      returnToPage: function () {
        /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
        wx.redirectTo({
          url: '../../../pageage/project_measure/list/index',
        })
      },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})